package cn.wisdomliner.ms.customer.wechat.controller;

package ..deTemp.1742487227175;

import cn.wisdomliner.ms.customer.wechat.biz.WechatAuthBiz;
import cn.wisdomliner.ms.customer.wechat.domain.AuthLoginReq;
import cn.wisdomliner.ms.customer.wechat.domain.AuthLoginResp;
import cn.wisdomliner.ms.library.domain.CommonResponseGeneric;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.validation.Valid;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = {"微信"})
@RestController
@RequestMapping({"wechat"})
public class WechatController {
  private static final Logger log = LoggerFactory.getLogger(cn.wisdomliner.ms.customer.wechat.controller.WechatController.class);
  
  private final WechatAuthBiz wechatAuthBiz;
  
  public WechatController(WechatAuthBiz wechatAuthBiz) {
    this.wechatAuthBiz = wechatAuthBiz;
  }
  
  @ApiOperation("微信授权登录")
  @PostMapping({"/authLogin"})
  public CommonResponseGeneric<AuthLoginResp> authLogin(@RequestBody @Valid AuthLoginReq authLoginReq) {
    log.info("POST /wechat/authLogin ====> [RequestBody : {}]", authLoginReq);
    AuthLoginResp authLoginResp = this.wechatAuthBiz.wxAuth(authLoginReq);
    log.info("POST /wechat/authLogin <====");
    return CommonResponseGeneric.builder().data(authLoginResp).build();
  }
}
